# Method: accounts.locations.localPosts.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.ListLocalPostsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/list#body.aspect)

Returns a list of local posts associated with a location.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/localPosts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the location whose local posts will be listed. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many local posts to return per page. Default of 20. The minimum is 1, and maximum page size is 100. |
| `pageToken` | `string` If specified, returns the next page of local posts. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for localPosts.list

| JSON representation ||
|---|---|
| ``` { "localPosts": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts#LocalPost`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `localPosts[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts#LocalPost`)`` The returned list of local posts. |
| `nextPageToken` | `string` If there are more local posts than the requested page size, then this field is populated with a token to fetch the next page of local posts on a subsequent call to `localPosts.list`. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).